Support » Plugin: Gutenberg » Site down due to Gutenberg update in WP

  • I have just updated Gutenberg to the latest version and now can not access my admin at all. I get a fatal error page instead. See below. How do I get this resolved? This is very frustrating.
    https://cambridgereagents.co.uk/wp-admin/

    Fatal error: Uncaught Error: Call to a member function is_block_editor() on null in /home/cambr060/public_html/wp-content/plugins/gutenberg/gutenberg.php:97 Stack trace: #0 /home/cambr060/public_html/wp-content/plugins/envira-gallery/src/Admin/Admin_Container.php(124): is_gutenberg_page() #1 /home/cambr060/public_html/wp-includes/class-wp-hook.php(286): Envira\Admin\Admin_Container->maybe_activate_gutenberg(”) #2 /home/cambr060/public_html/wp-includes/class-wp-hook.php(310): WP_Hook->apply_filters(NULL, Array) #3 /home/cambr060/public_html/wp-includes/plugin.php(465): WP_Hook->do_action(Array) #4 /home/cambr060/public_html/wp-admin/admin.php(169): do_action(‘admin_init’) #5 /home/cambr060/public_html/wp-admin/themes.php(10): require_once(‘/home/cambr060/…’) #6 {main} thrown in /home/cambr060/public_html/wp-content/plugins/gutenberg/gutenberg.php on line 97

    The page I need help with: [log in to see the link]

Viewing 8 replies - 1 through 8 (of 8 total)
  • VP

    (@studio500)

    Hi Brusse11
    If your desperate to get back online and you have access to FTP, you can always download the previous version of Gutenberg, unpack the zip file and FTP it back onto your site.

    I’ve just had a similar issue caused by incompatibility with my elementor plugin.

    Here’s the link, you’ll find previous version at the bottom of the page. https://wordpress.org/plugins/gutenberg/advanced/

    Just trying to help out till the issue gets looked at.

    Regards

    Marc

    • This reply was modified 1 year, 7 months ago by VP.

    Thanks but I do not know what version was the last? I upgraded yesterday so I guess it was the one before the development stage download?

    Ok that worked. I look forward to a more stable update in the near future. Thanks.

    If Gutenberg is now part of WordPress core, why would someone need the Gutenberg Plugin? Only reason I can think of is that they are using WordPress 4.9.

    Good question, however, I am using 5.1.1 of WP and Gutenberg still appears as a plugin and still has to be activated. The latest updated version of that plugin crashed my admin. Reversing back solved the problem. So someone needs to fix the issue with the latest update to the plugin. Please.

    What happens if you just disable or delete the Gutenberg Plugin?

    I wasn’t able to do either as the error was fatal and I was locked out of my admin. So I followed advice and FTP’d an earlier version over the problem version. That fixed the problem, but I keep getting notifications saying my Gutenberg version is out of date and may cause incompatibilities. Somewhat ironic don’t you think!
    However, now I can access my plugins I have deactivated it and it still seems to be active at least on my front page where I use it most. So I guess it is part of the core now! not very clear (at least to me) but then maybe I’m just dumb!

    I have now deleted the plugin and it seems fine.

Viewing 8 replies - 1 through 8 (of 8 total)
  • The topic ‘Site down due to Gutenberg update in WP’ is closed to new replies.